GZipCompression (Mule ESB 2.2.1 API)
Keywords: org.mule.util.compression.GZipCompression class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.compression
Class GZipCompression

    java.lang.Object
      org.mule.util.compression.GZipCompression

All Implemented Interfaces:
  CompressionStrategy

    public class GZipCompression

extends Object
implements CompressionStrategy

`GZipCompression` is a CompressionStrategy implementation using the GZip library included in the JDK java.util.zip. This is the default CompressionStrategy used by the CompressionHelper discovery when no other implementation is discovered.

Field Summary
`static int` | `DEFAULT_BUFFER_SIZE`

Fields inherited from interface org.mule.util.compression.CompressionStrategy
`COMPRESSION_DEFAULT, SERVICE_ID`

Constructor Summary
`GZipCompression()`

Method Summary
`byte[]` | `compressByteArray(byte[] bytes)` Used for compressing a byte array into a new byte array using GZIP
`boolean` | `isCompressed(byte[] bytes)` Determines if a byte array is compressed.
`byte[]` | `uncompressByteArray(byte[] bytes)` Used for uncompressing a byte array into a uncompressed byte array using GZIP

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

See Also:
  Constant Field Values

Constructor Detail

### GZipCompression

    public GZipCompression()

Method Detail

### isCompressed

    public boolean isCompressed(byte[] bytes)
                         throws IOException

  Determines if a byte array is compressed. The java.util.zip GZip implementaiton does not expose the GZip header so it is difficult to determine if a string is compressed.

  Specified by:
    `isCompressed` in interface `CompressionStrategy`
  Parameters:
    `bytes` - an array of bytes
  Returns:
    true if the array is compressed or false otherwise
  Throws:
    `IOException` - if the byte array couldn't be read

### compressByteArray

    public byte[] compressByteArray(byte[] bytes)
                             throws IOException

  Used for compressing a byte array into a new byte array using GZIP

  Specified by:
    `compressByteArray` in interface `CompressionStrategy`
  Parameters:
    `bytes` - An array of bytes to compress
  Returns:
    a compressed byte array
  Throws:
    `IOException` - if it fails to write to a GZIPOutputStream
  See Also:
    `GZIPOutputStream`

### uncompressByteArray

    public byte[] uncompressByteArray(byte[] bytes)
                               throws IOException

  Used for uncompressing a byte array into a uncompressed byte array using GZIP

  Specified by:
    `uncompressByteArray` in interface `CompressionStrategy`
  Parameters:
    `bytes` - An array of bytes to uncompress
  Returns:
    an uncompressed byte array
  Throws:
    `IOException` - if it fails to read from a GZIPInputStream
  See Also:
    `GZIPInputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.